cIOSX rev21d2x: Yet Another Hot Fix!!!!

Discussion in 'Wii - Hacking' started by davebaol, Feb 3, 2011.

?
  1. Yes, I had an issue with the official cios and d2x fixed it

    88 vote(s)
    47.6%
  2. Yes, but everything was already working for me with the official cios

    79 vote(s)
    42.7%
  3. No, and I posted what goes wrong

    9 vote(s)
    4.9%
  4. No, and I won't report what goes wrong because I am a troll

    9 vote(s)
    4.9%
  1. davebaol
    OP

    davebaol GBAtemp Advanced Fan

    Member
    2
    Sep 3, 2010
    Italy
    Well actually libogc provides SDHC card support regardless of the IOS, see this great article by sven: http://www.dcemu.co.uk/vbulletin/threads/170430-SDHC-support-for-the-Wii
    It means that LEGO games only support SD cards because Nintendo dev kit for PPC didn't support SDHC cards at that time.
    That's why in my previous post I didn't mention IOS (remember that a IOS runs on ARM).
     
  2. kupo3000

    kupo3000 GBAtemp Fan

    Member
    3
    Sep 14, 2009
    Does d2x installer for vWii need an available internet connection to download the necessary bases like the old d2x installer?

    Could d2x be installed as something similar to this?
    Warning: Spoilers inside!
    or just limited to this from what I've been reading?
    Warning: Spoilers inside!
     
  3. Matt M

    Matt M Zeldafan1993

    Newcomer
    1
    Nov 21, 2012
    Canada
    yes the External Hard rive NEEDS its OWN Power i tried both mine that are just USB that work fine in a regular Wii but on the Wii u they dont. you need 1 with USB and power
     
  4. buddy

    buddy Advanced Member

    Newcomer
    2
    Jun 25, 2007
    United States
    The modified installer should be working on a normal Wii (without WAD's, etc) as well correct?

    It's been a while, but don't see where I'm going wrong - so want to find out if it's me, the app, or whatever.

    Have the new installer, extracted the d2x-v10-beta53-alt (Wii) items into the apps\d2x-cios-installer\directory. Set to install v10 with base 56 into slot 249. Fails with message below:

    TMD Versions Wrong 5662 != 5661

    Trying with v10, base 57, slot 250 similar message:

    TMD Versions Wrong 5919 != 5918

    D2X v9 was installed previously (using Modmii and previous D2X versions before that) a while ago, and never had any issues with installation until now. I am getting older, and more forgetful, so it could very well be me :-)
     
  5. davebaol
    OP

    davebaol GBAtemp Advanced Fan

    Member
    2
    Sep 3, 2010
    Italy
    @buddy
    That's clearly a bug of the modified installer.
    The bases required by d2x for Wii are 56-v5661 and 57-v5918 but your wii is 4.3 thus having ios 56-v5662 and 57-v5919.
    IMO the installer should allow to dump the ios from nand only when they have the same revision required by d2x.
    For now I suggest you use the installer v2.2 or v3.1.

    EDIT:

    Further notes:
    1. Revision check should be done on vWii too because Ninty might release a vWii update.
    2. the installer should check that the ios's are not patched. In fact a patched ios would likely cause an error during installation due to byte sequence not found.
     
  6. DonkulousPrime

    DonkulousPrime Advanced Member

    Newcomer
    1
    Nov 13, 2011
    Canada
    North of the Wall
    Just a quick question if someone could help. I've dumped my nand but need a pointer as to what files(where?) I need to create the wads with. Excuse my n00bishness please:unsure:(which folder are they in, are they APPs, ect.)
     
  7. buddy

    buddy Advanced Member

    Newcomer
    2
    Jun 25, 2007
    United States
    Thanks. I wasn't clearly reading into what the errors were telling me.
     
  8. Etheboss

    Etheboss Official LULWUT supporter

    Member
    6
    Feb 24, 2009
    Netherlands
    Around somewhere
    Why is that davebaol? the versions buddy has are legit and gotten trough an update, and are the latest versions of the ioses.
    They don't even dffer that much... Maybe FIX94 just can update the installer to also use 56/5662 and 57/5919 if it is installed.
     
  9. davebaol
    OP

    davebaol GBAtemp Advanced Fan

    Member
    2
    Sep 3, 2010
    Italy
    It would not work because on a real wii d2x expects to patch on-the-fly 56-v5661 or 57v5918.
    And I don't want to update d2x to the latest ios since there's no real need for playing games.
     
  10. driverdis

    driverdis I am Justice

    Member
    8
    Sep 21, 2011
    United States
    1.048596β
    does base56 and 57 load games correctly or did I miss something?

    I installed,
    base56:249
    base57:250
    base58:251

    but games only load if i manually set IOS to 251 via WiiFlow or install base58 to slot249 (WiiFlow uses 249 when set to AUTO)
    I dumped my NAND via FSToolbox and packed the vWii IOS56,57,and 58 Wads via ShowMiiWads so i know they are valid.

    I am using D2X-ALT beta 53 for vWii
     
  11. davebaol
    OP

    davebaol GBAtemp Advanced Fan

    Member
    2
    Sep 3, 2010
    Italy
    @driverdis
    Yes base 56 and 57 togheter support almost all games while base 58 doesn't.
    It sounds like your hdd is not properly initialized by d2x or wiiflow. Base 58 works for you because it has a different usb module, i.e. the one provided by ios 58.
    I suggest you try d2x beta52 for vWii (non alt version) and/or a different loader. And of course you can try a different hdd too.
     
  12. driverdis

    driverdis I am Justice

    Member
    8
    Sep 21, 2011
    United States
    1.048596β
    my Hard Drive works on D2X v9 on my original Wii Just fine. so its strange that it will not work with base 56 or 57,but since base 56 and 57 are different then the bases used for V9, its a possibility . I will try another drive to make sure , but i really need the ALT version since i need to use the LAN adapter. I will try non-ALT also but that would be not optimal for me since i use the lan adapter.
     
  13. airline38

    airline38 GBAtemp Advanced Fan

    Member
    6
    Mar 28, 2010
    Taiwan
    For those of you have problem to start/load HDD by any
    USB Loader in vWii, just try to change a "Y" USB cable
    to connect your HDD to WiiU. (connect to USB0/USB1
    together)

    It fixed my problem. (cIOS249[56]d2xv10-beta52-vwii)
     
  14. Matt M

    Matt M Zeldafan1993

    Newcomer
    1
    Nov 21, 2012
    Canada
    do we have a Wii U/vWii Compatibility Thread cuz if we do not i think tis a good idea to start one so we an find out what games work and hat games don't then start looking for fixes for them etc.
    like i said in a previous Post i tested 3 games 2 of them had errors/problems and 1 worked flawlessly.

    Just a Suggestion :)
     
  15. davebaol
    OP

    davebaol GBAtemp Advanced Fan

    Member
    2
    Sep 3, 2010
    Italy
    Please report game titles and their issue so people can test them.

    @driverdis
    Wii and vWii are 2 different piece of hardware so different behavior with the same hdd is more than possible. Sometimes the same hdd works on a wii and doesn't work on another wii that theoretically has the same hw.
    Usually for 2.5" hdd additional power is enough to fix the issue.
     
  16. nitrate

    nitrate Member

    Newcomer
    1
    Dec 10, 2012
    United States
    OK, here we go:

    USB LOADER GX r1191 & r1207 MOD (cIOS 249 base 58 - d2x cIOS beta52 vWii)
    -----------------------------------------------------------------------------------------------------

    Mario Kart Wii - fully working
    Tetris Party Deluxe - not working (black screen)

    WiiFlow v4.0.5 (cIOS 249 base 58 - d2x cIOS beta52 vWii)
    -------------------------------------------------------------------------

    Mario Kart Wii - fully working
    Tetris Party Deluxe - fully working
     
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    So it's a loader's problem?
    maybe base58 is not working the same way as other base in GX. I'll have to check if there's a difference.
     
  18. FIX94

    FIX94 Global Moderator

    Global Moderator
    21
    Dec 3, 2009
    Germany
    ???
    For vWii its limited to base 56,57 and 58. On normal wii you can have all bases. Oh and I removed the network feature from the installer and replaced it by the nand extract feature. WADs can be still used as base of course.
     
  19. davebaol
    OP

    davebaol GBAtemp Advanced Fan

    Member
    2
    Sep 3, 2010
    Italy
    @nitrate & cyan
    yeah it sounds like a gx issue with base 58 or a user setup issue
     
  20. nitrate

    nitrate Member

    Newcomer
    1
    Dec 10, 2012
    United States
    I tried installing base IOS 58 to slot 249 and using IOS 251 for Tetris Party Deluxe as well with different behaviour:

    When installed base 58 to cIOS slot 249, USB Loader GX won't recognize the HDD upon boot up anymore.

    When using cIOS 251 for Tetris Party Deluxe, the error (black screen) is still there...
     
Loading...